routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Home
Route::get('/home/{pole}', 'HomeController@index')->name('home');
Route::get('/', 'HomeController@index');

//Auth
Auth::routes();

//Support
Route::get('/support/consultation', 'SupportController@visu')->name('support.visu');
Route::resource('support', 'SupportController', ['except' => ['index', 'destroy']]);

//administration utilisateurs
Route::get('/administration/consultation', 'AdminController@index')->name('administration.index');
Route::resource('administration', 'AdminController', ['except' => ['index']]);


Route::resource('note', 'NoteController');

Route::get('/note/download/{note}', 'NoteController@downloadFile')->name('note.download');
Route::get('/administration/password/{nom}/edit', 'AdminController@editPassword')->name('administration.editPassword');
Route::put('/administration/password/{id}', 'AdminController@updatePassword')->name('administration.updatePassword');

resources/views/administration/create.blade.php
@extends('layouts.master')

@section('content')
<div class="card">
	<div class="card-header bg-danger text-white text-center">
		<strong class="text-uppercase">Ajouter un utilisateur</strong>
	</div>
	<div class="card-body">
		<form action="{{route('administration.store')}}" method="POST">
			@csrf
			<div class="form-row col">
				<div class="form-group col-md-4">
					<label for="nom">Nom*</label>
					<input type="text" name="nom" id="nom" class="form-control">
					<small class="text-danger">{{$errors->first('nom')}}</small>
				</div>
				<div class="form-group col-md-4 ml-4">
					<label for="prenom">Prénom* </label>
					<input type="text" name="prenom" id="prenom" class="form-control">
					<small class="text-danger">{{$errors->first('prenom')}}</small>
				</div>
			</div>
			<div class="form-group col-md-6">
				<label for="email">Email*</label>
				<input type="email" name="email" id="email" class="form-control">
				<small class="text-danger">{{$errors->first('email')}}</small>
			</div>
			<div class="form-row col">
				<div class="form-group col-md-4">
					<label for="pw">Mot de passe*</label>
					<input type="password" name="pw" id="pw" class="form-control">
					<small class="text-danger">{{$errors->first('pw2')}}</small>
				</div>
				<div class="form-group col-md-4 ml-4">
					<label for="pw2">Confirmation*</label>
					<input type="password" name="pw2" id="pw2" class="form-control">
				</div>
			</div>
			<div class="form-row col align-items-start">
				<div class="form-group col-md-4">
					<label for="service">Service</label>
					<select id="service" name="service" class="form-control">
						@foreach($services as $service)
						<option value="{{$service->id}}">{{$service->libelle}}</option>
						@endforeach
					</select>
				</div>
				<div class="form-group col custom-control custom-control-inline my-auto ml-4">
					<div class="custom-checkbox col">
						<input class="custom-control-input" type="checkbox" id="cadre" name="cadre" >
						<label class="custom-control-label ml-2" for="cadre">
							Cadre
						</label>
					</div>
					<div class="custom-checkbox col">
						<input class="custom-control-input checkbox-danger" type="checkbox" id="admin" name="admin">
						<label class="custom-control-label ml-2" for="admin">
							Administrateur
						</label>
					</div>
				</div>
			</div>
			<div class="form-row mt-4 text-center">
				<div class="form-group col">
					<button type="submit" class="btn btn-danger">Envoyer</button>
				</div>
			</div>
		</form>
	</div>
</div>
@stop

resources/views/administration/edit.blade.php
@extends('layouts.master')

@section('content')
@if (session('status'))
<div class="alert alert-success">
	{{ session('status') }}
</div>
@endif
<div class="card">
	<div class="card-header bg-danger text-white text-center">
		<strong class="text-uppercase">Modifier les informations de {{$data['user']->nom}} {{$data['user']->prenom}}</strong>
	</div>
	<div class="card-body">
		<form action="{{route('administration.update', $data['user']->id)}}" method="POST">
			@csrf
			@method('PUT')
			<div class="form-row col">
				<div class="form-group col-md-4">
					<label for="nom">Nom</label>
					<input type="text" name="nom" id="nom" class="form-control" value="{{$data['user']->nom}}">
				</div>
				<div class="form-group col-md-4 ml-4">
					<label for="prenom">Prénom </label>
					<input type="text" name="prenom" id="prenom" class="form-control" value="{{$data['user']->prenom}}">
				</div>
			</div>
			<div class="form-group col-md-6">
				<label for="email">Email</label>
				<input type="email" name="email" id="email" class="form-control" value="{{$data['user']->email}}">
				<a href="{{route('administration.editPassword',$data['user']->nom)}}">Changer le mot de passe ?</a>
			</div>
			<div class="form-row col align-items-start">
				<div class="form-group col-md-4">
					<label for="service">Service</label>
					<select id="service" name="service" class="form-control">
						@foreach($data['services'] as $service)
						<option value="{{$service->id}}" {{$data['user']->droit->libelle == $service->libelle ?'selected':''}}>{{$service->libelle}}</option>
						@endforeach
					</select>
				</div>
				<div class="form-group col custom-control custom-control-inline my-auto ml-4">
					<div class="custom-checkbox col">
						<input class="custom-control-input" type="checkbox" id="cadre" name="cadre" {{$data['user']->isCadre() ?'checked':''}}>
						<label class="custom-control-label ml-2" for="cadre">
							Cadre
						</label>
					</div>
					<div class="custom-checkbox col">
						<input class="custom-control-input checkbox-danger" type="checkbox" id="admin" name="admin" {{$data['user']->isAdmin ?'checked':''}}>
						<label class="custom-control-label ml-2" for="admin">
							Administrateur
						</label>
					</div>
				</div>
			</div>
			<div class="form-row mt-4 text-center">
				<div class="form-group col">
					<button type="submit" class="btn btn-danger">Envoyer</button>
				</div>
			</form>
			<form action="{{route('administration.destroy', $data['user']->id)}}" method="POST">
				@csrf
				@method('DELETE')
				<div class="form-group col">
					<button type="submit" class="btn btn-danger">Supprimer</button>
				</div>
			</div>
		</form>
	</div>
</div>
@stop

        <!--Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nom');
            $table->string('prenom');
            $table->string('email')->unique();
            $table->string('password');
            $table->boolean('isAdmin')->default(false);
            $table->rememberToken();
            $table->unsignedInteger('droit_id');
        });-->

resources/views/administration/editPassword.blade.php
@extends('layouts.master')
@section('content')
<div class="card">
	<div class="card-header bg-danger text-white text-center">
		<strong class="text-uppercase">Modifier le mot de passe de {{$user->nom}} {{$user->prenom}}</strong>
	</div>
	<div class="card-body">
		<div class="row">
			<div class="col-md-4 mx-auto">
				<form action="{{route('administration.updatePassword', $user->id)}}" method="POST" class="text-center mx-auto">
					@csrf
					@method('PUT')
					<div class="form-group col">
						<label for="pw">Nouveau mot de passe</label>
						<input type="password" name="pw" id="pw" class="form-control" placeholder="Entrez le nouveau mot de passe">
					</div>
					<div class="form-group col">
						<label for="pw2">Retapez </label>
						<input type="password" name="pw2" id="pw2" class="form-control" placeholder="Retapez le mot de passe">
						<small class="text-danger">{{$errors->first()}}</small>
					</div>
					<div class="form-row mt-4 text-center">
						<div class="form-group col">
							<button type="submit" class="btn btn-danger">Modifier</button>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
@stop

resources/views/administration/index.blade.php
@extends('layouts.master')

@section('content')
<div class="card">
	<div class="card-header bg-danger text-white text-center font-weight-bold">
		Utilisateurs enregistrés
	</div>
	<div class="card-body">
		<table class="table table-striped">
			<thead class="text-center">
				<tr class="text-danger">
					<th scope="col">ID</th>
					<th class="text-left" scope="col">Nom Prénom</th>
					<th scope="col">Email</th>
					<th scope="col">Service</th>
					<th scope="col">Cadre (oui/non)</th>
					<th scope="col">Administrateur(oui/non)</th>
				</tr>
			</thead>
			<tbody class="text-center">
				@if (session('status'))
				<div class="alert alert-success">
					{{ session('status') }}
				</div>
				@endif
				@foreach($users as $user)
				<tr>
					<td>{{$user->id}}</td>
					<td class="text-left"><a href="{{route('administration.edit',$user->nom)}}" class="">{{$user->nom}} {{$user->prenom}}</a></td>
					<td>{{$user->email}}</td>
					<td>{{$user->droit->libelle}}</td>
					<td>{{$user->isCadre() ? 'Oui' : 'Non'}} </td>
					<td>{{$user->isAdmin ? 'Oui' : 'Non'}}</td>
				</tr>
				@endforeach
			</tbody>
		</table>
	</div>
</div>
@stop